import{s as Ge,o as Se}from"../chunks/scheduler.d6170356.js";import{S as Ze,i as Re,g as o,s as a,r as h,A as Ye,h as l,f as s,c as i,j as Ee,u as k,x as r,k as Z,y as Qe,a as n,v as w,d as v,t as y,w as $,m as Be,n as De}from"../chunks/index.fcd4cc08.js";import{T as Ne}from"../chunks/Tip.b09c67cf.js";import{C as Xe}from"../chunks/CodeBlock.7b16bdef.js";import{H as Y,E as Oe}from"../chunks/EditOnGithub.da2b595c.js";function Ke(Q){let c;return{c(){c=Be("Try not to leak your token! Though you can always rotate it, anyone will be able to read or write your private repos in the meantime which is 💩")},l(u){c=De(u,"Try not to leak your token! Though you can always rotate it, anyone will be able to read or write your private repos in the meantime which is 💩")},m(u,b){n(u,c,b)},d(u){u&&s(c)}}}function et(Q){let c,u,b,B,T,D,x,N,C,be='User Access Tokens are the preferred way to authenticate an application or notebook to Hugging Face services. You can manage your access tokens in your <a href="https://huggingface.co/settings/tokens" rel="nofollow">settings</a>.',X,p,Te='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/User-Access-Token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/User-Access-Token-dark.png"/>',O,_,xe="Access tokens allow applications and notebooks to perform specific actions specified by the scope of the roles shown in the following:",K,H,Ce="<li><p><code>read</code>: tokens with this role can only be used to provide read access to repositories you could read. That includes public and private repositories that you, or an organization you’re a member of, own. Use this role if you only need to read content from the Hugging Face Hub (e.g. when downloading private models or doing inference).</p></li> <li><p><code>write</code>: tokens with this role additionally grant write access to the repositories you have write access to. Use this token if you need to create or push content to a repository (e.g., when training a model or modifying a model card).</p></li>",ee,M,_e="Note that Organization API Tokens have been deprecated:",te,g,He='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/API-token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/API-token_dark.png"/>',se,U,Me="If you are a member of an organization with read/write/admin role, then your User Access Tokens will be able to read/write the resources according to the token permission (read/write) and organization membership (read/write/admin).",ne,L,ae,A,Ue='To create an access token, go to your settings, then click on the <a href="https://huggingface.co/settings/tokens" rel="nofollow">Access Tokens tab</a>. Click on the <strong>New token</strong> button to create a new User Access Token.',ie,m,Le='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new-token.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new-token-dark.png"/>',oe,P,Ae="Select a role and a name for your token and voilà - you’re ready to go!",le,j,Pe="You can delete and refresh User Access Tokens by clicking on the <strong>Manage</strong> button.",re,f,je='<img class="block dark:hidden" width="350" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/delete-token.png"/> <img class="hidden dark:block" width="350" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/delete-token-dark.png"/>',ce,I,ue,z,Ie="There are plenty of ways to use a User Access Token to access the Hugging Face Hub, granting you the flexibility you need to build awesome apps on top of it.",pe,W,ze="User Access Tokens can be:",ge,V,We='<li>used <strong>in place of a password</strong> to access the Hugging Face Hub with git or with basic authentication.</li> <li>passed as a <strong>bearer token</strong> when calling the <a href="https://huggingface.co/inference-api" rel="nofollow">Inference API</a>.</li> <li>used in the Hugging Face Python libraries, such as <code>transformers</code> or <code>datasets</code>:</li>',me,q,fe,d,de,F,he,J,Ve="We recommend you create one access token per app or usage. For instance, you could have a separate token for:",ke,E,qe="<li><p>A local machine.</p></li> <li><p>A Colab notebook.</p></li> <li><p>An awesome custom inference server.</p> <p>This way, you can invalidate one token without impacting your other usages.</p></li>",we,G,Fe="We also recommend only giving the appropriate role to each token you create. If you only need read access (e.g., loading a dataset with the <code>datasets</code> library or retrieving the weights of a model), only give your access token the <code>read</code> role.",ve,S,ye,R,$e;return T=new Y({props:{title:"User access tokens",local:"user-access-tokens",headingTag:"h1"}}),x=new Y({props:{title:"What are User Access Tokens?",local:"what-are-user-access-tokens",headingTag:"h2"}}),L=new Y({props:{title:"How to manage User Access Tokens?",local:"how-to-manage-user-access-tokens",headingTag:"h2"}}),I=new Y({props:{title:"How to use User Access Tokens?",local:"how-to-use-user-access-tokens",headingTag:"h2"}}),q=new Xe({props:{code:"ZnJvbSUyMHRyYW5zZm9ybWVycyUyMGltcG9ydCUyMEF1dG9Nb2RlbCUwQSUwQWFjY2Vzc190b2tlbiUyMCUzRCUyMCUyMmhmXy4uLiUyMiUwQSUwQW1vZGVsJTIwJTNEJTIwQXV0b01vZGVsLmZyb21fcHJldHJhaW5lZCglMjJwcml2YXRlJTJGbW9kZWwlMjIlMkMlMjB0b2tlbiUzRGFjY2Vzc190b2tlbik=",highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoModel

access_token = <span class="hljs-string">&quot;hf_...&quot;</span>

model = AutoModel.from_pretrained(<span class="hljs-string">&quot;private/model&quot;</span>, token=access_token)`,wrap:!1}}),d=new Ne({props:{warning:!0,$$slots:{default:[Ke]},$$scope:{ctx:Q}}}),F=new Y({props:{title:"Best practices",local:"best-practices",headingTag:"h3"}}),S=new Oe({props:{source:"https://github.com/huggingface/hub-docs/blob/main/docs/hub/security-tokens.md"}}),{c(){c=o("meta"),u=a(),b=o("p"),B=a(),h(T.$$.fragment),D=a(),h(x.$$.fragment),N=a(),C=o("p"),C.innerHTML=be,X=a(),p=o("div"),p.innerHTML=Te,O=a(),_=o("p"),_.textContent=xe,K=a(),H=o("ul"),H.innerHTML=Ce,ee=a(),M=o("p"),M.textContent=_e,te=a(),g=o("div"),g.innerHTML=He,se=a(),U=o("p"),U.textContent=Me,ne=a(),h(L.$$.fragment),ae=a(),A=o("p"),A.innerHTML=Ue,ie=a(),m=o("div"),m.innerHTML=Le,oe=a(),P=o("p"),P.textContent=Ae,le=a(),j=o("p"),j.innerHTML=Pe,re=a(),f=o("div"),f.innerHTML=je,ce=a(),h(I.$$.fragment),ue=a(),z=o("p"),z.textContent=Ie,pe=a(),W=o("p"),W.textContent=ze,ge=a(),V=o("ul"),V.innerHTML=We,me=a(),h(q.$$.fragment),fe=a(),h(d.$$.fragment),de=a(),h(F.$$.fragment),he=a(),J=o("p"),J.textContent=Ve,ke=a(),E=o("ul"),E.innerHTML=qe,we=a(),G=o("p"),G.innerHTML=Fe,ve=a(),h(S.$$.fragment),ye=a(),R=o("p"),this.h()},l(e){const t=Ye("svelte-u9bgzb",document.head);c=l(t,"META",{name:!0,content:!0}),t.forEach(s),u=i(e),b=l(e,"P",{}),Ee(b).forEach(s),B=i(e),k(T.$$.fragment,e),D=i(e),k(x.$$.fragment,e),N=i(e),C=l(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1lpg4j3"&&(C.innerHTML=be),X=i(e),p=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(p)!=="svelte-9iguqn"&&(p.innerHTML=Te),O=i(e),_=l(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-fuc7sv"&&(_.textContent=xe),K=i(e),H=l(e,"UL",{"data-svelte-h":!0}),r(H)!=="svelte-e68kl0"&&(H.innerHTML=Ce),ee=i(e),M=l(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1pxygaj"&&(M.textContent=_e),te=i(e),g=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(g)!=="svelte-gq76od"&&(g.innerHTML=He),se=i(e),U=l(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-1nsr785"&&(U.textContent=Me),ne=i(e),k(L.$$.fragment,e),ae=i(e),A=l(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1a38hpz"&&(A.innerHTML=Ue),ie=i(e),m=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(m)!=="svelte-pyfz"&&(m.innerHTML=Le),oe=i(e),P=l(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-kqec1x"&&(P.textContent=Ae),le=i(e),j=l(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-1scdfru"&&(j.innerHTML=Pe),re=i(e),f=l(e,"DIV",{class:!0,"data-svelte-h":!0}),r(f)!=="svelte-1ajeu0h"&&(f.innerHTML=je),ce=i(e),k(I.$$.fragment,e),ue=i(e),z=l(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-9v78f"&&(z.textContent=Ie),pe=i(e),W=l(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-1q9uxvg"&&(W.textContent=ze),ge=i(e),V=l(e,"UL",{"data-svelte-h":!0}),r(V)!=="svelte-1mmizg8"&&(V.innerHTML=We),me=i(e),k(q.$$.fragment,e),fe=i(e),k(d.$$.fragment,e),de=i(e),k(F.$$.fragment,e),he=i(e),J=l(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-leohk0"&&(J.textContent=Ve),ke=i(e),E=l(e,"UL",{"data-svelte-h":!0}),r(E)!=="svelte-1im21ul"&&(E.innerHTML=qe),we=i(e),G=l(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1wgdejt"&&(G.innerHTML=Fe),ve=i(e),k(S.$$.fragment,e),ye=i(e),R=l(e,"P",{}),Ee(R).forEach(s),this.h()},h(){Z(c,"name","hf:doc:metadata"),Z(c,"content",tt),Z(p,"class","flex justify-center"),Z(g,"class","flex justify-center"),Z(m,"class","flex justify-center"),Z(f,"class","flex justify-center")},m(e,t){Qe(document.head,c),n(e,u,t),n(e,b,t),n(e,B,t),w(T,e,t),n(e,D,t),w(x,e,t),n(e,N,t),n(e,C,t),n(e,X,t),n(e,p,t),n(e,O,t),n(e,_,t),n(e,K,t),n(e,H,t),n(e,ee,t),n(e,M,t),n(e,te,t),n(e,g,t),n(e,se,t),n(e,U,t),n(e,ne,t),w(L,e,t),n(e,ae,t),n(e,A,t),n(e,ie,t),n(e,m,t),n(e,oe,t),n(e,P,t),n(e,le,t),n(e,j,t),n(e,re,t),n(e,f,t),n(e,ce,t),w(I,e,t),n(e,ue,t),n(e,z,t),n(e,pe,t),n(e,W,t),n(e,ge,t),n(e,V,t),n(e,me,t),w(q,e,t),n(e,fe,t),w(d,e,t),n(e,de,t),w(F,e,t),n(e,he,t),n(e,J,t),n(e,ke,t),n(e,E,t),n(e,we,t),n(e,G,t),n(e,ve,t),w(S,e,t),n(e,ye,t),n(e,R,t),$e=!0},p(e,[t]){const Je={};t&2&&(Je.$$scope={dirty:t,ctx:e}),d.$set(Je)},i(e){$e||(v(T.$$.fragment,e),v(x.$$.fragment,e),v(L.$$.fragment,e),v(I.$$.fragment,e),v(q.$$.fragment,e),v(d.$$.fragment,e),v(F.$$.fragment,e),v(S.$$.fragment,e),$e=!0)},o(e){y(T.$$.fragment,e),y(x.$$.fragment,e),y(L.$$.fragment,e),y(I.$$.fragment,e),y(q.$$.fragment,e),y(d.$$.fragment,e),y(F.$$.fragment,e),y(S.$$.fragment,e),$e=!1},d(e){e&&(s(u),s(b),s(B),s(D),s(N),s(C),s(X),s(p),s(O),s(_),s(K),s(H),s(ee),s(M),s(te),s(g),s(se),s(U),s(ne),s(ae),s(A),s(ie),s(m),s(oe),s(P),s(le),s(j),s(re),s(f),s(ce),s(ue),s(z),s(pe),s(W),s(ge),s(V),s(me),s(fe),s(de),s(he),s(J),s(ke),s(E),s(we),s(G),s(ve),s(ye),s(R)),s(c),$(T,e),$(x,e),$(L,e),$(I,e),$(q,e),$(d,e),$(F,e),$(S,e)}}}const tt='{"title":"User access tokens","local":"user-access-tokens","sections":[{"title":"What are User Access Tokens?","local":"what-are-user-access-tokens","sections":[],"depth":2},{"title":"How to manage User Access Tokens?","local":"how-to-manage-user-access-tokens","sections":[],"depth":2},{"title":"How to use User Access Tokens?","local":"how-to-use-user-access-tokens","sections":[{"title":"Best practices","local":"best-practices","sections":[],"depth":3}],"depth":2}],"depth":1}';function st(Q){return Se(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class rt extends Ze{constructor(c){super(),Re(this,c,st,et,Ge,{})}}export{rt as component};
